%global _el_version el6.centos
%global _el_sub .buildsys

Name:       buildsys-macros-%{_el_version}
Summary:    Macros for the Buildsystem
Version:    1.0
Release:    0%{dist}
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

%description
This particular package contains the macros needed for the buildsys for Centos el6.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 6\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_el_version}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "el6 7\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild

%changelog
* Tue Jul 08 2014 Thomas 'alphacc' Oulevey <thomas.oulevey@cern.ch>
- Initial Centos build.

